#!/bin/sh

f77 -o make_cross_data make_cross_data.f inside.f

./make_cross_data
#-> cross_data.out

#
psfile=./cross_section_PAC.ps
prm=./PAC_project.prm
data=./cross_data.out

# set region
proje=-JM10
range=-R130/147/30/47
tick=-BWeNsa2

#  $BCO?^$NIA2h(B
pscoast $proje $range $tick -Dh -G200 -W3 -X5 -Y13 -P -K > $psfile

#  $B%3%s%?!<IA2h(B
grdcontour data.grd $proje $range -C10 -A10 -O -K >> $psfile

awk 'NR<=2 {print $1,$2}' $prm |\
psxy $proje $range -W5/255/0/0 -O -K >> $psfile
awk 'NR<=2 {print $1,$2}' $prm |\
psxy $proje $range -Sa0.2 -G255/0/0 -W1 -O -K >> $psfile


edist=`awk 'END {print $3}' $data`
# set region
proje2=-JX10/-6.18
range2=-R0/$edist/0/100
tick2=-BWeNsa50:"Distance@~\0@~[km]":/10:"Depth@~\0@~[km]":
awk '{print $3,-$6}' $data |\
psxy $proje2 $range2 $tick2 -W10/255/0/0 -O -K -Y-9 >> $psfile
awk '{print $3,-$6}' $data |\
psxy $proje2 $range2 -Sc0.1 -W1 -O -K >> $psfile

pstext $proje2 $range2 -G0 -N -O -K <<EOF >> $psfile
200 80 14 0 0 5 Cross-section
EOF

#
pstext $proje $range -G0 -N -O -Y-1 <<EOF >> $psfile
130 30 10 0 0 5 PAC [Hirose et al.]
EOF

# ghostview $FOUT
ggv $psfile
